# Server_Strategy_Factory.h File Reference

`#include "ace/Service_Object.h"`
`#include "TAO_Export.h"`
`#include "Basic_Types.h"`

Include dependency graph for Server_Strategy_Factory.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | TAO_Server_Strategy_Factory
| Base class for the server's abstract factory that manufactures various strategies of special utility to it. This simply serves as an interface to a subclass that REALLY gets specified and loaded by the Service Configurator. More...
struct | TAO_Server_Strategy_Factory::Active_Object_Map_Creation_Parameters

## Enumerations

enum | TAO_Demux_Strategy { TAO_LINEAR, TAO_DYNAMIC_HASH, TAO_ACTIVE_DEMUX, TAO_USER_DEFINED }

## Detailed Description

Id
  Server_Strategy_Factory.h,v 1.30 2005/11/02 11:03:27 ossama Exp

Author:
  Chris Cleeland

## Enumeration Type Documentation

enum TAO_Demux_Strategy

Enumeration values:

  TAO_LINEAR |
  TAO_DYNAMIC_HASH |
  TAO_ACTIVE_DEMUX |
  TAO_USER_DEFINED |